org.firebirdsql.jna.embedded

## Class TemporaryFirebirdEmbeddedLibrary

- java.lang.Object
- - org.firebirdsql.jna.embedded.TemporaryFirebirdEmbeddedLibrary

All Implemented Interfaces:
  FirebirdEmbeddedLibrary

    public final class TemporaryFirebirdEmbeddedLibrary
    extends java.lang.Object
    implements FirebirdEmbeddedLibrary

Information for locating a Firebird Embedded library.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.file.Path` `getEntryPointPath()`
`java.lang.String` `getVersion()` Version of the Firebird Embedded library.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getEntryPointPath

    public java.nio.file.Path getEntryPointPath()

Specified by:
  `getEntryPointPath` in interface `FirebirdEmbeddedLibrary`
Returns:
  Path of the Firebird Embedded main library file

#### getVersion

    public java.lang.String getVersion()

Description copied from interface: `FirebirdEmbeddedLibrary`
Version of the Firebird Embedded library.

Specified by:
  `getVersion` in interface `FirebirdEmbeddedLibrary`
Returns:
  Version of the Firebird Embedded library
See Also:
  `FirebirdEmbeddedLibrary.getVersion()`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`